Package org.apache.tapestry5.internal.services

## Class ComponentModelSourceImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.ComponentModelSourceImpl

- All Implemented Interfaces:
    `ComponentModelSource`

      public class ComponentModelSourceImpl
      extends Object
      implements ComponentModelSource

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponentModelSourceImpl​(ComponentClassResolver resolver, ComponentInstantiatorSource source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ComponentModel` | `getModel​(String componentClassName)` | Returns the model for a particular component class name.
    `ComponentModel` | `getPageModel​(String pageName)` | Returns the model for a page.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentModelSourceImpl

          public ComponentModelSourceImpl​(ComponentClassResolver resolver,
                                          ComponentInstantiatorSource source)

  - ### Method Detail

    - #### getModel

          public ComponentModel getModel​(String componentClassName)

      Description copied from interface: `ComponentModelSource`
      Returns the model for a particular component class name.
      Specified by:
        `getModel` in interface `ComponentModelSource`
      Parameters:
        `componentClassName` - name of component class
      Returns:
        model for component

    - #### getPageModel

          public ComponentModel getPageModel​(String pageName)

      Description copied from interface: `ComponentModelSource`
      Returns the model for a page. The page name is resolved to a component class name.
      Specified by:
        `getPageModel` in interface `ComponentModelSource`
      Parameters:
        `pageName` - name of page
      Returns:
        the model for the page